//----------------------------------------------------------------------------
//  Description :
//      error reporting functions interface
//----------------------------------------------------------------------------
//  Changes:
//  $Log__$
//----------------------------------------------------------------------------

#ifndef FSERROR_H
#define FSERROR_H
//obsolete
//##ModelId=419A04D6003D
enum FSErrorCode
{
	//##ModelId=419A04D60048
   FS_ER_MAXINCL,
	//##ModelId=419A04D60051
   FS_ER_EXPNSLVL,
	//##ModelId=419A04D6005B
   FS_ER_PRMSTKOVF,
	//##ModelId=419A04D60065
   FS_ER_FILENAME,
	//##ModelId=419A04D6006F
   FS_ER_ARGDUPL,
	//##ModelId=419A04D60079
   FS_ER_MARGLIST,
	//##ModelId=419A04D60083
   FS_ER_MMAXARGS,
	//##ModelId=419A04D6008D
   FS_ER_PRMSPCOVF,
	//##ModelId=419A04D60097
   FS_ER_IFNESTLVL
};
// obsolete
void FSError( enum FSErrorCode code );

const unsigned
   EX_USER_BREAK = 0,
   EX_TOO_MANY_ERR_WARN = 1,
   EF_ERROR_READING_s = 2,
   EF_UNABLE_CREATE_s = 3,
   EF_UNABLE_LOAD_s = 4,
   EF_UNABLE_OPEN_s = 5,
   EF_UNABLE_SAVE_s = 6,
   E_ALREADY_IN_SU_s = 7,
   E_CONFL_PUB_SYM_s = 8,
   E_UNDEF_SYM_s = 9,
   E_MULT_INIT_s = 10,
   E_MULT_DEF_s = 11,
   E_MULT_DECL_s = 12,
   E_NO_IDENT_REDECL_s = 13,
   E_TOO_MANY_TYPESPECS = 14,
   E_TOO_MANY_STORAGESPECS = 15,
   E_INV_USAGE_OF_TYPEDEF_s = 16,
   E_NOT_ALLOWED_STORAGE_s = 17,
   E_NOT_ALLOWED_STORAGE = 18,
   E_INIT_NOT_ALLOWED_DECL = 19,
   E_UNDEF_SU_s = 20,
   E_NOT_FUNC_s = 21,
   E_NOT_FUNC_PARAM_s = 22,
   E_UNKNOWN_ID_s = 23,
   E_NOT_SU_s = 24,
   E_UNTERM_STR_CONST = 25,
   E_UNTERM_CHAR_CONST = 26,
   E_EMPTY_CHAR_CONST = 27,
   E_CHAR_CONST_TOO_LONG = 28,
   E_INV_NUM_CONST = 29,
   E_PARSER_STACK_OVERFLOW = 30,
   E_INV_DECL = 31,
   E_INV_STRUCT_ELEM = 32,
   E_INV_PARAM_DECL = 33,
   E_INV_STMT = 34,
   E_INV_ARG_LIST = 35,
   E_INV_EXPR = 36,
   E_NOT_SUE_PTR_s = 37,
   E_INV_FUNC_CALL_s = 38,
   E_INV_INDIR_s = 39,
   E_INV_ARRAY_ACCESS_s = 40,
   E_INV_ADDR_OP_s = 41,
   E_INV_ASSIGN_s = 42,
   E_PUB_SYM_MULT_DEFS_s = 43,
   E_UNKN_STRUCT_MEMB_ss = 44,
   E_PP_UNTERM_COMMENT_ST_u = 45,
   E_PP_UNTERM_COND_ST_u = 46,
   E_PP_MACRO_INCL_OVERFLOW = 47,
   E_PP_DEFINED_WITOUT_ID = 48,
   E_PP_INV_INCL_FILENAME = 49,
   E_PP_OPEN_INCL_FILE_s = 50,
   E_PP_MISP_HH = 51,
   E_PP_INV_MACRO_NAME = 52,
   E_PP_INV_MACRO_ARG_LIST = 53,
   E_PP_INV_X_DIR_s = 54,
   E_PP_MISP_X_DIR_s = 55,
   E_PP_UNKNOWN_DIR = 56,
   E_PP_UNTERM_MACRO_u = 57,
   E_PP_INV_NUM_MACRO_ARGS_s = 58,
   E_PP_INV_MACRO_DEF_s = 59,
   E_PP_UNEX_EOF = 60,
   E_PP_ERROR_DIR_s = 61,
   E_DIV_ZERO = 62,
   W_ID_LONG = 63,
   W_ID_NEVER_USED_s = 64,
   W_MOD_SYM_IN_FUNC_ss = 65,
   W_MISSING_PUB_DEF_s = 66,
   W_GLOB_ID_USED_ONCE_s = 67,
   W_NO_IDENT_TYPESPEC_s = 68,
   W_UNDEF_SUE_s = 69,
   W_FUNC_CALL_WITHOUT_DCL_s = 70,
   W_INV_ESCAPE = 71,
   W_OLD_ANSI_FUNC_DECS_s = 72,
   W_PP_NO_IDENT_MCR_REDEF_s = 73,
   W_PP_WARNING_DIR_s = 74,
   W_ASM_STMT = 75,
   W_NONPORT_DCL_s = 76,
   W_SIZEOF_IN_PP = 77,
   W_ARGT_IN_PP = 78,
   W_PP_ALREADY_INCL_s = 79;

void FSAnzWarning( unsigned code,... );
void FSAnzError( unsigned code,... );
void FSAnzFatalError( unsigned code,... );

#endif
